# ArcheUI

ArcheUI es una librería de componentes de interfaz de usuario diseñada para crear aplicaciones modernas y elegantes con facilidad. Proporciona una amplia gama de componentes reutilizables, diseñados para ser altamente personalizables y fáciles de integrar.

## Instalación

Para instalar ArcheUI en tu proyecto, simplemente ejecuta el siguiente comando:

```
npm install arche-ui-studio
```

Luego, importa los estilos globales en tu archivo principal de CSS o JavaScript:

```javascript
import "arche-ui-studio/dist/index.css";
```

## Uso

Una vez instalado, puedes empezar a usar los componentes de ArcheUI en tu proyecto:

```javascript
import "arche-ui-studio/dist/index.css";
import { Button, TextInput } from "arche-ui-studio";

function App() {
  return (
    <div>
      <TextInput bordered inputSize="md" placeholder="Type your name" />
      <Button size="medium" variant="primary" onClick={() => alert("Sent!")}>
        Send
      </Button>
    </div>
  );
}

export default App;
```

## Documentación

Consulta la documentación completa y ejemplos de uso detallados en nuestro sitio web:

[Documentación de ArcheUI](https://archesoftwarestudio.github.io/arche-studio-ui)

## Características

- **Componentes personalizables**: Cambia los estilos y comportamientos de cada componente de acuerdo a tus necesidades.
- **Diseño moderno**: Todos los componentes están optimizados para ofrecer un diseño limpio y moderno.
- **Fácil integración**: Diseñado para funcionar sin problemas en proyectos de React.
- **Totalmente documentado**: Accede a la documentación para obtener ejemplos de uso y guías detalladas.

## Contribuciones

Si deseas contribuir a este proyecto, no dudes en hacer un fork del repositorio y enviar un pull request. Las mejoras, reportes de errores, y sugerencias son bienvenidas.
