import { default as React } from 'react';

export interface TextInputProps extends React.ComponentProps<"input"> {
    label?: string;
    placeholder?: string;
    color?: "primary" | "secondary" | "accent" | "info" | "success" | "warning" | "error";
    bordered?: boolean;
    ghost?: boolean;
    inputSize?: "xs" | "sm" | "md" | "lg";
    disabled?: boolean;
    icon?: React.ReactNode;
    customLabel?: string | React.ReactNode;
    children?: React.ReactNode;
    containerWidth?: "w-full" | "w-1/2" | "w-1/3" | "w-1/4" | "w-auto";
    onClear?: () => void;
}
export declare const TextInput: React.FC<TextInputProps>;
