import { default as React } from 'react';

export interface MenuItem {
    label: string;
    icon?: React.ReactNode;
    badge?: string | React.ReactNode;
    badgeType?: "default" | "neutral" | "primary" | "secondary" | "accent" | "ghost" | "info" | "success" | "warning" | "error";
    tooltip?: string;
    submenu?: MenuItem[];
    active?: boolean;
    disabled?: boolean;
    onClick?: React.MouseEventHandler<HTMLAnchorElement>;
    liProps?: React.LiHTMLAttributes<HTMLLIElement>;
}
export interface MenuProps extends React.ComponentProps<"ul"> {
    items: MenuItem[];
    title?: string;
    layout?: "vertical" | "horizontal" | "mega";
    responsive?: boolean;
    size?: "menu-xs" | "menu-sm" | "menu-md" | "menu-lg";
    collapsible?: boolean;
    showSubmenu?: boolean;
    containerWidth?: "w-24" | "w-48" | "w-56" | "w-64" | "w-full";
    className?: string;
}
export declare const Menu: React.FC<MenuProps>;
